Bug 901632 - ghc-smallcheck-1.0.2 is available
ghc-smallcheck-1.0.2 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-smallcheck (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: 913407
  Show dependency treegraph
 
Reported: 2013-01-18 12:18 EST by Upstream Release Monitoring
Modified: 2013-04-30 23:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 23:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-01-18 12:18:54 EST
Latest upstream release: 0.6.2
Current version in Fedora Rawhide: 0.6.1
URL: http://hackage.haskell.org/packages/archive/smallcheck/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-02-20 03:19:01 EST
Latest upstream release: 1.0.1
Current version in Fedora Rawhide: 0.6.1
URL: http://hackage.haskell.org/packages/archive/smallcheck/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-03-14 10:44:59 EDT
Latest upstream release: 1.0.2
Current version in Fedora Rawhide: 0.6.1
URL: http://hackage.haskell.org/packages/archive/smallcheck/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Shakthi Kannan 2013-03-18 11:10:58 EDT
Build fails on Fedora 17 with ghc-7.0.4 with:

Preprocessing library smallcheck-1.0.2...
Building smallcheck-1.0.2...

Test/SmallCheck/Series.hs:29:14:
    Unsupported extension: DefaultSignatures
error: Bad exit status from /var/tmp/rpm-tmp.GWwoXC (%build)
Comment 4 Fedora Update System 2013-04-22 06:47:18 EDT
ghc-smallcheck-1.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-smallcheck-1.0.2-1.fc18
Comment 5 Fedora Update System 2013-04-22 06:47:30 EDT
ghc-smallcheck-1.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-smallcheck-1.0.2-1.fc19
Comment 6 Fedora Update System 2013-04-22 13:17:21 EDT
Package ghc-smallcheck-1.0.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-smallcheck-1.0.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6226/ghc-smallcheck-1.0.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-04-26 23:09:05 EDT
ghc-smallcheck-1.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-04-30 23:28:21 EDT
ghc-smallcheck-1.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.